package  
{
	import flash.display.BitmapData;
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Backdrop;
	import net.flashpunk.graphics.Tilemap;
	import net.flashpunk.FP;
	
	public class BackgroundEntity extends Entity
	{	
		public function BackgroundEntity() 
		{
			// create tilemap
			var _tiles:Tilemap = new Tilemap(Assets.TILES_32, 32, 32, 32, 32);
			_tiles.setTile(0,0,0)
			_tiles.scrollX = _tiles.scrollY =0
			graphic = _tiles;
			
			// crate bitmapdata from tilemap
			var _bitmapData:BitmapData = new BitmapData(_tiles.width, _tiles.height, true, 0x00ffffff);
			_tiles.render(_bitmapData, new Point(0, 0), FP.camera.clone());
			
			// create a backdrop from bitmapdata (seamless tile background)
			var _backdrop:Backdrop = new Backdrop(_bitmapData);
			_backdrop.scrollX = _backdrop.scrollY =0;
			
			// set the graphic to the backdrop
			graphic = _backdrop;
			
		}		
	}
}