package  
{	
	
	public class Assets
	{		
		// PNG
		
		[Embed(source = '../assets/tiles/tiles_32.png')]
		public static const TILES_32:Class;
		[Embed(source = '../assets/sprites/player.png')]
		public static const PLAYER_SPRITE:Class;	
		
		// Sounds
		
		[Embed(source = '../assets/sounds/jump01.mp3')]
		public static const SOUND_JUMP:Class;
		
		// XML Assets		
		[Embed(source = '../assets/levels/level_templates.xml', mimeType="application/octet-stream")]
		public static const LEVEL_TEMPLATES:Class;
		
		// lets convert the asset into an XML now, so we only have to do it once
		public static const LEVEL_TEMPLATES_XML:XML = new XML(new LEVEL_TEMPLATES);
		
		// and while we're at it, let's get the total count of templates too
		public static const LEVEL_TEMPLATES_COUNT:Number = LEVEL_TEMPLATES_XML.tiles.length();
		
		
		// player settings
		
		public static const MAX_SPEED:Number = 3.5;
		public static const ACCEL:Number = 0.3;
		public static const FRICTION:Number = MAX_SPEED / (MAX_SPEED + ACCEL);
		public static const MIN_SPEED:Number = ACCEL * FRICTION;
		public static const JUMP_SPEED:Number = 11;
		public static const GRAVITY:Number = 0.6;
		public static const MAX_FALL:Number = 30;
		
		public static const PLAYER_WIDTH:Number = 32;
		public static const PLAYER_HEIGHT:Number = 32;

	}
}