package  
{
	import net.flashpunk.World;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.FP;

	public class MenuWorld extends World
	{
		private var _level:GameWorld;
		
		public function MenuWorld(level:GameWorld) 
		{
			super();
			_level = level;
			
		}
		
		override public function begin():void 
		{
			super.begin();
			// add menu items
			FP.world.add(new MenuItem(FP.stage.width / 2 - 50, FP.stage.height / 2 - 100, 'item1'));
			FP.world.add(new MenuItem(FP.stage.width / 2 - 50, FP.stage.height / 2, 'item2'));
		}
		
		override public function update():void 
		{
			super.update();
			if (Input.pressed(Key.P)) FP.world = _level;
		}
	}

}